Game Develop Core: gd::ResourcesManager Class Reference

| Game Develop Core Core library for developing platforms and tools compatible with Game Develop.

- Main Page
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy

All Classes Files Functions Variables Typedefs Enumerations Macros Groups Pages
Public Member Functions | List of all members
gd::ResourcesManager Class Reference

Inventory all resources used by a project. More...

`#include <ResourcesManager.h>`

## Public Member Functions

| ResourcesManager (const ResourcesManager &)
ResourcesManager & | operator= (const ResourcesManager &rhs)
bool | HasResource (const std::string &name) const
| Return true if a resource exists.
Resource & | GetResource (const std::string &name)
| Return a reference to a resource.
const Resource & | GetResource (const std::string &name) const
| Return a reference to a resource.
boost::shared_ptr< Resource > | CreateResource (const std::string &kind)
| Create a new resource but does not add it to the list.
std::vector< std::string > | GetAllResourcesList ()
| Get a list containing the name of all of the resources.
boost::shared_ptr< gd::Resource > | GetResourceSPtr (const std::string &name)
| Return a (smart) pointer to a resource.
bool | AddResource (const gd::Resource &resource)
| Add an already constructed resource.
bool | AddResource (const std::string &name, const std::string &filename)
| Add a resource created from a file.
void | RemoveResource (const std::string &name)
| Remove a resource.
void | RenameResource (const std::string &oldName, const std::string &newName)
| Rename a resource.
bool | MoveResourceUpInList (const std::string &name)
| Move a resource up in the list.
bool | MoveResourceDownInList (const std::string &name)
| Move a resource down in the list.
bool | HasFolder (const std::string &name) const
| Return true if the folder exists.
const ResourceFolder & | GetFolder (const std::string &name) const
| Return a reference to a folder.
ResourceFolder & | GetFolder (const std::string &name)
| Return a reference to a folder.
void | RemoveFolder (const std::string &name)
| Remove a folder.
void | CreateFolder (const std::string &name)
| Create a new empty folder.
bool | MoveFolderUpInList (const std::string &name)
| Move a folder up in the list.
bool | MoveFolderDownInList (const std::string &name)
| Move a folder down in the list.
std::vector< std::string > | GetAllFolderList ()
| Get a list containing the name of all of the folders.
void | SaveToXml (TiXmlElement *elem) const
| Save to an xml element.
void | LoadFromXml (const TiXmlElement *elem)
| Load from an xml element.

## Detailed Description

Inventory all resources used by a project.

See Also
  Resource

The documentation for this class was generated from the following files:

- ResourcesManager.h
- ResourcesManager.cpp